org.apache.hadoop.yarn.api.records

## Class Token

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.Token

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class Token
      extends Object

  `Token` is the security entity used by the framework to verify authenticity of any resource.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Token()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ByteBuffer` | `getIdentifier()` Get the token identifier.
    `abstract String` | `getKind()` Get the token kind.
    `abstract ByteBuffer` | `getPassword()` Get the token password
    `abstract String` | `getService()` Get the service to which the token is allocated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Token

          public Token()

  - ### Method Detail

    - #### getIdentifier

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract ByteBuffer getIdentifier()

      Get the token identifier.
      Returns:
        token identifier

    - #### getPassword

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract ByteBuffer getPassword()

      Get the token password
      Returns:
        token password

    - #### getKind

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract String getKind()

      Get the token kind.
      Returns:
        token kind

    - #### getService

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract String getService()

      Get the service to which the token is allocated.
      Returns:
        service to which the token is allocated

Copyright © 2022 Apache Software Foundation. All rights reserved.